hobbit-plugins (20230301) unstable; urgency=high

  * /etc/sudoers.d/xymon: Quote all user names to avoid clashes with
    possible future keywords as just happened with the new "list" keyword
    since sudo 1.9.13p1. (Closes: #1032144)

 -- Axel Beckert <abe@debian.org>  Wed, 01 Mar 2023 05:25:19 +0100

hobbit-plugins (20230211) unstable; urgency=medium

  [ Axel Beckert ]
  * dirtyvcs: Automatically add existing repositories from
    /etc/xymon/dirty_vcs_dirs to /var/lib/xymon/.gitconfig's
    safe.directory setting to handle fallout of the fix for
    CVE-2022-24765. Thanks to Christian Herzog for the bug report!
    + Change owner and group of /var/lib/xymon/ to xymon:xymon.
  * Remove postinst code relevant for hobbit to xymon migration.
  * Remove debian/maintscript completely. Was relevant for migrations
    before 2015, i.e. before oldoldstable.
  * Replace all occurrences of egrep and fgrep with grep -E/-F.
    Thanks tarzeau for reporting this!
  * Fix typo in comment in libs.yaml.
  * yum: Don't count "Errno" as alert if it is prepended by a dash or
    followed by a full stop, e.g. in package names like perl-Errno.x86_64.
  * Mention explicitly in the package description that hard dependencies
    of plugins enabled by default are listed in Recommends and
    dependencies of plugins disabled by default are listed in
    Suggests. Based on the according comment in debian-goodies' package
    description. (Closes: #1016162)
  * Fix bogus "Last apt update: -0.0 day(s) ago" warning by adding a small
    tolerance. (Closes: #1021775)
  * Split off the kernel/reboot check from the libs check into a separate
    check. (Closes: #752776)
    + Do not warn (and just report "clear") if the kernel image can't be
      parsed. This doesn't prompt for an action by the administrator.
      (Currently a common, but non-trivial issue on armhf, see
      /usr/share/doc/hobbit-plugins/TODO.)
  * temp:
    + Suppress grep error message if a host has no
      /sys/class/scsi_generic/.
    + Also support more than 26 (and up to 676) disks, i.e. disks named
      /dev/sdaa to /dev/sdzz).
    + Support NVMe block devices via drivetemp.
    + Consistent paths below /sys/devices/platform/ and /sys/devices/pci*.
    + Completely remove hddtemp support. (Really closes: #1001950)
    + Report "clear" if no thermal zones or hwmons are found. Avoids going
      purple after hddtemp has been removed.
    + Report "yellow" if no thermal zones or hwmons are found and
      "drivetemp" driver is not loaded.
    + Fix "Use of uninitialized value" errors in exception handling.
  * Declare compliance with Debian Policy 4.6.2.
  * Add new server-side "xcl" check to query Lenovo XClarity API for
    hardware failure events. (disabled by default; add Suggests and B-D on
    libmojolicious-perl for usage of Mojo::JSON and Mojo::UserAgent)
  * Use more precise Files stanzas and update years in debian/copyright.
  * Also update my copyright years in some plugins.

  [ Adam Goryachev ]
  * kern: Be less strict in parsing kernel versions, allow trailing
    garbage as present on Ubuntu for Raspberry Pi. (LP: #1904807)

  [ Adam Thorn ]
  * apt: Properly parse phased packages on Ubuntu. (LP: #2002391,
    #2003062, #1995481)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Drop versioned build-dependency on essential package dpkg-dev.
    + Drop versioned pre-dependency on essential package dpkg.
    + Drop versioned constraint in dependency on xymon-client.
    + Drop versioned constraint in recommendation on sudo.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Feb 2023 06:42:00 +0100

hobbit-plugins (20220406) unstable; urgency=medium

  [ Axel Beckert ]
  * misc.d/mount-ro:
    + Ignore all FUSE mounts, too. These are often used for forensic
      mounting of images and seldomly used in production with file systems
      which mount themselves read-only in case of error. And the latter is
      what this mini-check should monitor.
    + Also ignore mounts with file system "ramfs". (Used by recent systemd
      under /run/credentials/systemd-sysusers.service.)
  * net:
    - Bugfix: Output original command with a "(cached)" suffix, if the
      original command had output on STDERR. (Previously in this case an
      empty string was shown as command.)
    - Improvement: Ignore all "Operation not permitted" warnings as long
      as we get all the information we wanted.
    - Support "MTU" as alias for "mtu".
    - Fix minor documentation issue in README.
  * yum:
    - Fix reporting of certificate issues on RHEL 7.
    - Fix running without Xymon environment for debugging.
    - Fix issue with missing semicolon.
  * Bump copyright years in various places.
  * Add long forgotten /etc/xymon/graphs.d/mq.cfg file. Thanks Carsten
    Leonhardt! (Closes: #995251)
  * Add lintian override for non-standard-file-perm in /etc/sudoers.d/.
    (See bug report #995261 against lintian.)
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * libs: Add default whitelist entry for /var/lib/postgresql/.
  * cciss: Support SmartPQI RAID controllers by passing -u aka
    --try-unknown-devices to cciss_vol_status.

  [ Christoph Berg ]
  * libs.yaml: Ignore tmp files from spotify.
  * Drop Suggests: hddtemp. (Closes: #1001950)

  [ Jacek Tomasiak ]
  * Add drivetemp support to temp test.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Apr 2022 11:26:35 +0200

hobbit-plugins (20201127) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove backporting code, wheezy and precise are long gone.

  [ Axel Beckert ]
  * Fix parsing of ntpq output: positive offsets have a leading plus sign
    now. Thanks to Maciej Bonin! (Closes: #953552)
  * debian/copyright: Drop redundant pattern "debian/*". Thanks Lintian!
  * Bump debhelper-compat to 13.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 27 Nov 2020 14:50:43 +0100

hobbit-plugins (20200525) unstable; urgency=medium

  [ Lars Kollstedt ]
  * dirtyetc: fix initial error color.

  [ Axel Beckert ]
  * Suggest apt-config-auto-update as it makes the apt plugin more useful.
  * Add lintian override for breakout-link. Symlinks to adhere FHS and
    still work with upstream's idea of path names can't be an issue.

  [ Christoph Berg ]
  * apt: Support s3:// URLs.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Sep 2020 10:45:15 +0200

hobbit-plugins (20191218) unstable; urgency=medium

  [ Axel Beckert ]
  * Change Homepage header from xymon.sf.net to the README on Salsa.
  * Mention Xymon, a link to its project website as well as the old name
    "Hobbit" and the model "Big Brother" prominently in the README.
  * net: Fix an "uninitialized value" warning if no config file was found.
  * Suggest libpoe-component-sslify-perl as it's needed for the ircbot
    plugin if running with IRC_SSL=1 configured.
  * apt: Handle forbidden and architecture-dependent packages properly.
  * misc.d/zombies: Add minimal HTML escaping to the output of "ps".
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Add a shallow, xynagios-based megaraid check. (Depends on the
    unofficial megaclisas-status and the non-free, binary-only megacli
    packages from https://hwraid.le-vert.net/wiki/DebianPackages.)
  * Document helper tools and yum plugin in README.md, too.

  [ Christian Herzog ]
  * temp: Support ignoring specific thermal_zones.

  [ Christoph Berg ]
  * libs: Use 'unknown' for unknown user names in yet another place.
  * Add debian/gitlab-ci.yml.

  [ Janosch Bühler ]
  * tftp:
    + Don't just check if there's a reply, also check if it's an error.
    + Re-indent code, make it more readable.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Dec 2019 00:39:42 +0100

hobbit-plugins (20190129) unstable; urgency=medium

  * Fix typo in previous changelog entry.
  * Consider LTS updates to be security updates and display them as red.
  * misc.d/zombies, client/ext/apt: Rename variable "$ext_apt_config" to
    "$xymon_config_dir".
  * mq: Adapt recognition of local issues to the fact that postfix now
    also includes an explanation in the error message. Thanks to Claude
    Becker for reporting the issue!
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Tue, 29 Jan 2019 15:00:08 +0100

hobbit-plugins (20181101) unstable; urgency=medium

  * libs.yaml:
    - Whitelist "/memfd:" pseudo files (used by at least pulseaudio and
      Xorg) causing false positive. Thanks Alex Myczko for the report!
    - Whitelist "/var/lib/nfs/etab". Thanks Alex Myczko for the report!
  * Declare compliance with Debian Policy 4.2.1.
    + misc.d/zombies: Use "#!/usr/bin/perl", not "#!/usr/bin/env perl".
  * Ignore squashfs mounts for misc.d/mount-ro check. (LP: #1798557)
  * Add build-dependencies on libdate-parse-perl + liblist-moreutils-perl
    to fix failing tests and FTBFS. (Closes: #912104) Thanks Adrian Bunk!
  * backuppc:
    + Refactor code to make it more readable and use modern perl features.
    + Add options for hosts which should always cause an alert or always
      only cause a warning independent of the severity of the error.

 -- Axel Beckert <abe@debian.org>  Thu, 01 Nov 2018 00:42:55 +0100

hobbit-plugins (20180711) unstable; urgency=medium

  * net:
    + Support checking amount of packages per ten seconds (via
      /proc/net/dev, similar to "netstat -i")
    + Support checking for minima or maxima instead of just fixed values
      or the presence of keywords.
    + The check now requires libfile-slurp-perl as new dependency.
    + Mention check in long package description.
    + Better error handling if YAML::Tiny can't parse the config file.
    + Document issues with older versions of YAML::Tiny in README.md.
  * Hobbit.pm:
    + Under some circumstances the die handler gets a scalar ref instead
      of just a scalar. Handle that case and dereference the scalar ref
      first in that case.
    + Add trailing newlines to various outputs of croak() and moan() for
      better readability.
  * Fix typo in previous changelog entry.
  * Move libfile-slurp-perl from Suggests to Recommends as it is now used
    by the libs check which is enabled by default. Thanks to Jaap Winius!
    (Closes: #903493)
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 11 Jul 2018 01:35:21 +0200

hobbit-plugins (20180610) unstable; urgency=low

  [ Axel Beckert ]
  * Add "aptitude" to "Enhances:" as there is a relation with aptitude,
    but none which should encourage the installation of aptitude.
  * Mention aptitude and dctrl-tools in context of the apt plugin.
  * Declare compliance with Debian Policy 4.1.4.
    + Use HTTPS in debian/copyright DEP5 format URL.
    + Set Priority to optional.
  * Remove trailing whitespace from an ancient debian/changelog entry.
  * Add debian/.debhelper/ to .gitignore.
  * Set "Rules-Requires-Root: no".
  * debian/copyright: Update Stéphane's e-mail address to his last known
    to be used in public one. Broken e-mail address reported by DUCK.
  * /etc/xymon/misc.d/mount-ro: Blacklist filesystems proc and sysfs, too.
  * Add new local check "net" which monitors network interfaces for
    desired states.
  * Override lintian warning source-contains-empty-directory for
    src/usr/share/man/man*/.
  * Update Vcs-* header for move to Salsa.
  * Whitelist multipath-related /[aio] false positives for mysql/mariadb
    servers in libs check. Thanks to Daniel Rieken for the bug report!
    (Closes: #873838)
  * The libs check now also checks for /var/run/reboot-required and
    friends. Thanks to Andy Farrior for that suggestion. (Closes: #868183)
    Note: this adds libfile-slurp-perl to the lib check's dependencies.

  [ Christoph Berg ]
  * Add spec file for building RPM packages.
  * Add yum test, disabled by default.
  * misc.d/zombies: Suppress warning if user name is not resolvable.

  [ Mathias Merscher ]
  * Fix misc.d/zombies issues with more recent linux kernels which seem to
    have added empty lines to /proc/$pid/status.

  [ Jon Barber ]
  * Fix accidentally hardcoded package name in some special case handling
    in the apt check. (Closes: #819738)

 -- Axel Beckert <abe@debian.org>  Sun, 10 Jun 2018 21:20:39 +0200

hobbit-plugins (20170628) unstable; urgency=medium

  * Team upload.
  * libs: Use 'unknown' for unknown user names.
  * Bump S-V to 4.0.0; remove path from invoke-rc.d in postinst.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Jun 2017 14:18:00 +0200

hobbit-plugins (20170219) unstable; urgency=low

  * dirtyvcs: Update regular expression to detect clean git
    repositories. (Closes: #852824)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Feb 2017 21:09:58 +0100

hobbit-plugins (20170122) unstable; urgency=medium

  * Fix wrong package name in Suggest, long package description and
    documentation: smartctl → smartmontools
  * libs: By default ignore all files opened by /usr/sbin/memlockd.
    memlockd's purpose is to have them open and in RAM, so it permanently
    causes nearly always false positives.
  * Replace prename with rename in debian/backports.sh.
  * Switch Vcs-Git header from git:// to https://.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * apt: Ignore "ic" state occasionally reported by "dpkg-query --list".
    (Closes: #851793)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 14:54:14 +0100

hobbit-plugins (20160122) unstable; urgency=low

  [ Christoph Berg ]
  * Restructure source to "make install" easier.
  * misc, xynagios: Rewrite to use IPC::Run.
  * Install xynagios to /usr/bin (but provide symlink from old location).
  * xynagios: Add --test option and options to configure RRD trends data.
  * Add t/xynagios.t.

  [ Axel Beckert ]
  * temp: Fix uninitialized values if /sys/devices/platform/*/temp*_input
    exists, has read permissions, but is still not readable.
  * Fix the remaining occurrences of "bb-hosts" in the documentation.
  * libs: Don't warn if no kernel is found, e.g. in containers. (LP:
    #1534220)
  * Remove obsolete "GPL-2" license paragraph in debian/copyright. Thanks
    Lintian!
  * Bump debhelper compatibility to 9 as recommended.
  * mq:
    + Recognize when GMail/Google is blocking the monitored server.
    + Ignore possible RBL issues from ocmail<somenumber>.in.
    + Don't count greylisting, local problems on the remote server, too
      much load on the remote server or shutting down servers as RBL
      issues.
  * Get test suite working again by adding a symlink lib →
    src/usr/share/perl5. Also replace "perl -Iperl" in individual tests by
    using "prove -l". That way (using "lib" instead of "perl" as source
    code path name) the test suite is also closer to what's standard in
    the Perl community.

  [ Mathias Merscher ]
  * Add /etc/xymon/plugins.yaml for plugin configuration.
  * Make entropy and ntpq tests configurable, add ntpq graph.
  * Add netstats test.

 -- Axel Beckert <abe@debian.org>  Fri, 22 Jan 2016 15:13:58 +0100

hobbit-plugins (20151005) unstable; urgency=medium

  * temp: Handle cases where nvidia-smi doesn't return XML despite being
    requested to do so. ("NVIDIA: API mismatch" and friends)

 -- Axel Beckert <abe@debian.org>  Mon, 05 Oct 2015 18:49:22 +0200

hobbit-plugins (20150923) unstable; urgency=medium

  * Raise default disk temp. thresholds to 47°C (yellow) and 55°C (red).
  * Add /etc/xymon/temp.yaml and /etc/xymon/temp.local.yaml to be able to
    configure individual temperatures thresholds.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Sep 2015 17:53:49 +0200

hobbit-plugins (20150729) unstable; urgency=low

  [ Axel Beckert ]
  * mq:
    + Fix "Duplicate DS name: active{mail,recipient}s" RRD create error
      messages.
    + Support the non-default "enable_long_queue_ids=yes" Postfix setting.
    + Use "use warnings;" instead of "-w".
  * Replace the old non-functional one-liner syntax check in Makefile with
    a TAP/prove based syntax check to reliably detect syntax errors in perl
    scripts, plugins or modules at build-time.
    + Add b-d on libdbd-pg-perl, libfile-which-perl, libnet-tftp-perl,
      libpoe-component-irc-perl, libsort-naturally-perl,
      libsysadm-install-perl, libyaml-tiny-perl, and
      postgresql-client-common.
    + Add a BackupPC::Lib mockup class to avoid to b-d on backuppc.
  * Properly handle debian/postinst in debian/backport.sh.
  * Convert debian/copyright to machine-readable DEP5 format.
    + Update copyright years
    + Be more verbose with regards to file listings as required by DEP5.
  * apt:
    + Support apt repositories with no explicit distribution being set,
      e.g. with a "deb http://server/path/ /" type source.list
      entry. Thanks to Patrick Schmid for bug report and example!
    + Add source code comments with examples what should be matched for
      less obvious regular expresssions. Also remove the one outdated
      example. (It lacks the architecture column/field.)
    + Support packages of foreign architectures which are not shown with
      their architecture with "dpkg --get-selections".
  * temp:
    + Reports now "clear" unless it knows alarm thresholds.
    + Use three-parameter open().
    + Support coretemp interface.
    + Support hddtemp (either via sudo or TCP socket)
    + Support disks behind Areca RAID controllers via smartctl
      - Suggest smartctl.
    + Support NVidia GPUs with non-free binary blob driver
      - Suggest libxml-twig-perl.
    + Add license text.
    + Add myself as author to debian/copyright.
  * debian/rules:
    + Don't run debian/backports.sh for backports to Jessie.
    + Support backports to Precise.
    + Use "dpkg-parsechangelog -S" to parse debian/changelog.
      - Build-Depend on dpkg-dev >= 1.17.
  * Reflow overlong lines and fix typo in package description.
  * New check cntrk for monitoring the size of the Netfilter Connection
    Tracking table.
    + Add new Build-Depends/Suggests on libfile-slurp-perl
  * Add new client-side DNS check "dnsq" by David Bremner.
    + Disabled by default.
    + Add (build-) dependencies on libnet-dns-perl.
    + Closes: #696935
    + Modifications compared to original patch: Reports fail state if
      Net::DNS::Resolver couldn't be loaded. Only uses www.debian.org and
      kernel.org as default queries.

  [ Christoph Berg ]
  * ircbot: squeeze newlines in retrieved ackmsgs

 -- Axel Beckert <abe@debian.org>  Wed, 29 Jul 2015 18:21:51 +0200

hobbit-plugins (20141201) unstable; urgency=medium

  * Fix parsing of "apt-cache policy" output in cases where the version of
    the first listed package only contains digits. (Closes: #770467)

 -- Axel Beckert <abe@debian.org>  Mon, 01 Dec 2014 12:33:05 +0100

hobbit-plugins (20141006) unstable; urgency=medium

  * mount-ro: Do not alert about read-only tmpfs mounts (Closes: #764197)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 14:50:47 +0200

hobbit-plugins (20140924) unstable; urgency=medium

  * cciss: New check for hardware RAIDs in HP ProLiant servers
    + Suggest cciss-vol-status
  * Fix backporting script with regards to new versions in Depends
  * Also care about libs.yaml from backports in debian/maintscript
  * Also move known configuration files (which are not conffiles as only
    present if created by the local administrator) from /etc/hobbit/ to
    /etc/xymon/, too, unless already present there.
  * dirtyvcs: Now also supports wildcards in exclude lists (with "!")
  * Bump Standards-Version to 3.9.6 (no changes)
  * Update Vcs-Browser header to point to the new cgit web interface
  * Switch debian/rules to a minimal dh-style file.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Sep 2014 17:00:26 +0200

hobbit-plugins (20140520) unstable; urgency=low

  * Upload to unstable again to follow xymon's upload to unstable.
    + Call debian/backports.sh now only if backports are targeted
  * Rename xymongraph.d to graphs.d to follow upstream here, too.
    + Depend on xymon-client >= 4.3.17-2~

 -- Axel Beckert <abe@debian.org>  Tue, 20 May 2014 22:35:44 +0200

hobbit-plugins (20140515) unstable; urgency=medium

  * libs:
    + Fix missing default plugin dependency by adding binutils to
      Recommends. (Closes: #748100)
    + Bail out more gracefully if kernel images are not readable (Default
      on Ubuntu) and refer to LP#759725 for details and workaround.
    + Support non-x86 architectures
  * Update copyright years and owners in client-ext/libs.
  * Update plugin paths and copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Fri, 16 May 2014 17:40:27 +0200

hobbit-plugins (20140513) unstable; urgency=low

  [ Axel Beckert ]
  * mq: Report local delivery issues only once, decide warning level based
    on numbers and age. Uses Data::Parse, add libtimedate-perl to Suggests
  * apt: Simplify apt-cache policy call: No more IPC::Open3 and xargs
  * mailman: Add missing \n in output
  * libs: Rewrite kernel version check based on ideas from needrestart.
    + Add libsort-naturally-perl to Recommends.

  [ Elmar Heeb ]
  * libs:
    + Refactor and clean up whole test.
    + Factor out whitelist into config files libs.yaml and libs.local.yaml
    + Use lsof's machine-readable output instead of the human-readable one.
    + Add /tmp/, /run/, /var/run/, /dev/pts. dovecot indexes and caches,
      lightdm's speech dispatcher files and .local/share/gvfs-metadata to
      path whitelist.
    + Add libyaml-tiny-perl to Recommends.

  [ Christoph Berg ]
  * Hobbit.pm: Allow presetting color, as documented.

 -- Axel Beckert <abe@debian.org>  Tue, 13 May 2014 19:44:41 +0200

hobbit-plugins (20140120) unstable; urgency=low

  * mq: Check for local delivery issues
  * dirtvcs: Adapt for changed "clean" message of recent git versions
  * Fix path of Vcs-Browser value

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jan 2014 13:23:26 +0100

hobbit-plugins (20131218) unstable; urgency=low

  [ Christoph Berg ]
  * xynagios: Sanitize trends data before sending it to rrd.

  [ Axel Beckert ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * ircbot:
    + Imply ^…$ boundaries around ALERT_HOSTS and ALERT_IGNORE elements.
    + Allow host.test form in ALERT_IGNORE.
  * Re-enable automatic backporting for now (has been disabled in last
    upload and caused uninstallability without xymon-client from
    Experimental)

  [ Elmar Heeb ]
  * Rewrite misc.d/zombies so that it indicates parent processes of
    zombies. (Closes: #720904)
  * libs: .config and .cache directories added to exclude list

  [ Axel Beckert ]
  * Update Suggests, zombies_ignore example, long description, and README
    for new misc.d/zombies check.
  * Downgrade libsysadm-install-perl to Suggests as it's only needed for
    plugins not enabled by default.
  * Mention that xynagios needs libsysadm-install-perl, too.
  * libs: Apply patch by Dr. F. Lee to hide false positives via
    configuration file. (Patch slightly modifed; closes: #686456) Also
    adds an example configuration file and documentation.
  * mount-ro: Whitelist more network file systems (cifs and smbfs)
  * Add debian/gbp.conf to declare different git tag syntax.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Dec 2013 01:52:57 +0100

hobbit-plugins (20131022) unstable; urgency=low

  [ Axel Beckert ]
  * Add script to automatically generate pre-4.3.7-1-compatible package if
    not built for the experimental distribution.
  * apt:
    + Properly handle cases where a package is installed in an extra
      architecture but not in the primary architecture.
    + Properly recognize security updates on Debian and Ubuntu
    + Checks for broken or unconfigured packages
    + Print distribution and release
    + Use less resource-hungry grep-dctrl instead of aptitude to check
      aptitude's hold states. Recommend dctrl-tools.
    + Support aptitude's "Forbid Version" feature.
    + Don't show "apt-get install" line for hold packages.
    + Ship /etc/apt/apt.conf.d/15hobbit-plugins-update-stamp and let APT
      touch /var/lib/apt/periodic/update-success-stamp after a successful
      update of the package lists. APT hook taken copied from
      update-notifier-common which uses the same stamp file, because we
      don't want to pull the full update-notifier-common just for that
      one-line configuration file.
    + Fix "dpkg-query -l" output filtering, add assertion warning.
    + Also warn if last update was in the "future".
  * Hobbit.pm: Add Hobbit::trends wrapper method.
  * Refactoring Perl code:
    + Always use three-argument open() and parentheses.
    + Prefer $ENV{XYMON} over other variants.
    + Consistently use "$ENV{XYMON}" instead of "xymon".
  * Update error messages to mention what couldn't be done with a file.
  * ircbot:
    + Reading from STDIN fixed. Was broken since the switch to
      POE. (Closes: #696156)
    + Now based on POE::Component::IRC::State instead of just
      POE::Component::IRC to make POE::Component::IRC::Plugin::AutoJoin
      properly. (Related to #696160)
    + Handle irc_disconnected event. (Finally closes: #696160)
    + Make default/example configuration conforming to RFC2606
  * ntpq:
    + Catch case where /var/run/ntpd.pid does not exist.
  * misc.d/mount-ro:
    + Don't alarm for read-only NFS/NFSv4 or UDF mounts.
    + Make filesystem blacklist less false negative prone.
  * misc.d/zombies:
    + Only alarm if a zombie is a zombie 1 sec later. too.
    + Add script to generate a zombie to test misc.d/zombies.
    + Add optional zombies blacklist file. Install example zombie
      blacklist to /usr/share/doc/…/examples/.
  * mq:
    + Report and alarm about different Postfix queues separately.
    + Do not report RBL issues for fakemx.net and friends.
    + Exit silently if /usr/bin/mailq is not available.
    + Do not report "too busy" messages as RBL issues.
    + Create graphs of the different numbers.
  * tftp:
    + Make it work with Squeeze's version of Net::TFTP
  * dirtyvcs:
    + Now also runs git fsck on git repositories by default
    + Allow to skip single repositories by listing them with an
      exclamation mark prepended in dirty_vcs_dirs.
    + Now needs libfile-which-perl.
  * backuppc:
    + Show expected but not configured hosts clear instead of yellow.
  * mailman:
    + Report red on files in /var/lib/mailman/qfiles/shunt/, yellow
      for files in other subdirectories of /var/lib/mailman/qfiles/.
    + Only report queue files older than 5 minutes.
  * debian/control Vcs-* headers: Move from git.debian.org to
    anonscm.debian.org (Fixes lintian warnings vcs-field-not-canonical)
  * More hobbit → xymon renaming fixups:
    + conn6, tftp: bbhostgrep → xymongrep
  * Fix wrong method name in Hobbit.pm documentation.
  * Some reindenting and untabifying of Perl code.
  * Update copyright years.
  * Apply wrap-and-sort.

  [ Christoph Berg ]
  * Hobbit.pm: Accept both XYMON/XYMONSRV and BB/BBDISP environment variables.
  * Hobbit.pm: Add grep function wrapping xymongrep.
  * Hobbit.pm: Add graph method for showing more than one graph per test.
  * Hobbit.pm: Add sprintf method.
  * Hobbit.pm: Fix Hobbit::trends constructor. (Closes: #690768)
  * aptdiff: Modify aptdiff_ignore file to use "hostname pkg" patterns.
  * ipmi: Show more than the first line from "sel list". (Closes: #695785)
  * pgbouncer: New server-side script.
  * temp: New test graphing /sys/class/thermal/*/temp.
  * xynagios: Early strip test prefixes, otherwise errors get submitted with
    the long name.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Oct 2013 10:50:15 +0200

hobbit-plugins (20120626) experimental; urgency=low

  * Follow Xymon's path changes from /etc/hobbit/ to /etc/xymon/ et al.
    + Remove alternative dependency on hobbit-plugins
    + Require xymon-client >= 4.3.7-1~
    + Rename source directories hobbit*.d accordingly
    + Update postinst
    + Bump debhelper build-dependency to >= 8.1.0~ for the use of
      dpkg-maintscript-helper.
  * Drop alternative dependency on old transitional package git-core.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 21:52:49 +0200

hobbit-plugins (20120531) unstable; urgency=low

  [ Axel Beckert ]
  * New client-side plugin "mq" to check (at least postfix) mail queues.
    (Disabled by default)
  * New client-side plugin "dirtyetc" to check for unexpected changes in
    conffiles. (Disabled by default)
  * Ported ircbot plugin from deprecated Net::IRC to POE::Component::IRC
    (Closes: #640209). AutoJoin is enabled, Flood protection disabled.
  * Updated debian/control and debian/README.Debian accordingly.
  * Hobbit.pm API change:
    - file_to_hash() renamed to file_to_list_of_regexps() and now returns
      an array instead of an hash
    - dirtyvcs' file_to_array() renamed to file_to_list_of_globs() and now
      exportable from Hobbit.pm
    - both functions now shift instead of pop from @_
  * client/ext/mq: Don't report RBL issues just on "too many connections".
  * Bump Standards-Version to 3.9.3 (no changes)

  [ Christoph Berg ]
  * aptdiff: Read list of packages to ignore from /etc/hobbit/aptdiff_ignore.
  * apt: Handle :arch in the output of dpkg --get-selections.

 -- Christoph Berg <myon@debian.org>  Thu, 31 May 2012 00:58:27 +0200

hobbit-plugins (20111012) unstable; urgency=low

  * Hobbit.pm: New key dont_moan to disable moan and croak if a test needs
    a badly written third party library.
  * Hobbit.pm: More sanity checks for max_color();
  * Hobbit.pm: Add Documentation as POD
    - Generate Hobbit.3pm man page out of Hobbit.pm
  * Move file_to_hash from client-ext/apt to Hobbit.pm
  * New client-side plugin backuppc based on the code of the backuppc
    nagios check from http://n-backuppc.sf.net/. Disabled by default.
  * New client-side plugin mailman which checks the existence of Mailman
    qfiles. Disabled by default.
  * New server-side plugin tftp based on the code of the conn6
    plugin. Disabled by default.
    - Suggest libnet-tftp-perl which is needed by this test.
  * Fix bug in client-ext/apt which prohibited packages installed from
    local "deb file:///…" repository to be recognized as such.
  * Update some links in README.Debian.
  * Add /var/yp and /var/yp/ypfiles to /etc/hobbit/dirty_vcs_dirs.
  * Mention the plugins mdstat, misc and ntpq in README.Debian.
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 12 Oct 2011 00:17:57 +0200

hobbit-plugins (20110325) unstable; urgency=low

  [ Christoph Berg ]
  * sftbnc: Disable by default.
  * Hobbit.pm: Allow h/d/w suffix on status ttl.

  [ Axel Beckert ]
  * apt:
    - Now also understands "deb file:///…" apt repositories.
    - Remove some debug output which caused harm when the plugin was
      running standalone.
  * dirtyvcs:
    - Neither list subdirectories of Subversion repositories nor Git
      submodules.
    - Make VCS directories to check configurable.
  * libs:
    - Sync with
      http://cvs.noreply.org/cgi-bin/viewvc.cgi/trunk/nagios-check-libs?revision=474
    - Gracefully handle not installed or non-working sudo and lsof.
    - Clarify severity of some messages by adding some more icons to the
      output.
  * debian/control:
    - Update package description to list dependencies of each plugin and
      the sftbnc plugin.
    - Recommend sudo >= 1.7.2p1-1 (where support for /etc/sudoers.d has
      been added) since the libs plugin (enabled by default) no more works
      without root rights.
  * README.Debian: Add more documentation.

  [ Roland Rosenfeld ]
  * conn6: Replace the shell script with a more featureful
    implementation in Perl. See the script source for documentation.
    (Closes: #614564)

 -- Axel Beckert <abe@debian.org>  Thu, 24 Mar 2011 22:46:37 +0100

hobbit-plugins (20110311) unstable; urgency=low

  [ Axel Beckert ]
  * Depend on xymon-client and only alternatively on the transitional
    package hobbit-client.
  * Move from Hg to Git (Vcs-* header in debian/control updated)
  * Update homepage to current Xymon homepage
  * Add new checks:
    + Check for dirty VCS working copies. Suggest the supported VCS
      packages (git, mercurial, bzr, subversion).
    + Check for Postfix soft_bounce being enabled (Closes: #570442)
  * Let Hobbit.pm support status+<seconds> syntax, add new optional
    attribute ttl.
  * Add a simple perl syntax checker as "make test"
  * Fix lintian warning maintainer-script-without-set-e.
  * Sort long package lists alphabetically.

  [ Christoph Berg ]
  * libs: Needs sudo for lsof now, put a config snippet in sudoers.d.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Mar 2011 11:05:35 +0100

hobbit-plugins (20101207) experimental; urgency=low

  * ircbot: Fixed help command if prefixed with nick name
  * apt: Also check aptitude's hold states, not only dpkg's
  * apt: Use perl regexps in /etc/hobbit/apt_*
  * apt: Name configuration files and (internal) variables
    consistently. (/etc/hobbit/apt_no_repo_accept and
    /etc/hobbit/apt_reject)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Dec 2010 21:32:37 +0100

hobbit-plugins (20101203) experimental; urgency=low

  * Add myself to Uploaders.
  * apt: Overhaul "last apt update" determining
    + Split up the list of update stamp files into two groups to reduce
      the amount of "Last apt update" false positives:
      - Files where each file indicates a successful update, just not
        necessarily the newest one. Check all of them and use the newest
        of them. (Closes: #605687)
      - Files which are less exact indicators. Check them in order and
        just use the first one found as before.
    + Check mtime of /var/cache/apt/pkgcache.bin, /var/lib/apt/lists/partial
      and /var/lib/apt/lists before checking the mtime of
      /var/lib/apt/lists/lock. (Closes: #526894)
    + Add patch by Emil Larsson for not-in-repo package whitelist
      (/etc/hobbit/apt_alien_accepts) as well as a rejected packages
      blacklist (/etc/hobbit/apt_rejects). (Closes: #487331)
  * ircbot: Forward-port nick-highlighting patch by Christian Herzog from
    ISG D-PHYS, ETH Zurich (Closes: #524016)
  * ircbot: Optionally use privmsg instead of notice for green and clear
    messages (set IRC_GREEN_PRIVMSG to 1)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Switch to source format "3.0 (native)"

 -- Axel Beckert <abe@debian.org>  Fri, 03 Dec 2010 15:58:44 +0100

hobbit-plugins (20100527) unstable; urgency=low

  * ircbot: implement drop and ack commands.
  * apt: If /var/lib/apt/update_output exists, assume it contains errors from
    apt-get update -qq and print it.

 -- Christoph Berg <myon@debian.org>  Thu, 27 May 2010 13:01:14 +0200

hobbit-plugins (20100320) unstable; urgency=low

  * ircbot: improve messages a bit, and implement disable/enable commands.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Mar 2010 20:35:03 +0100

hobbit-plugins (20091007) unstable; urgency=low

  * xynagios: Add --hostname, --strip, and --trends options.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Oct 2009 16:09:58 +0200

hobbit-plugins (20090817) unstable; urgency=low

  * xynagios: adaptor for running Nagios plugins with Xymon.
  * misc: meta plugin for running series of scripts.
    + mount-ro: check for read-only filesystems.
    + zombies: check for zombie processes.
  * Hobbit.pm: Allow setting the report title line via $bb->{title}.
  * Recommends libsysadm-install-perl.
  * Remove Martin from Uploaders.
  * Bump Standards-Version and DH compat level.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Aug 2009 09:34:33 +0200

hobbit-plugins (20090420) unstable; urgency=low

  * apt: Show number of outstanding upgrades; don't complain about held
    packages not coming from a repository.
  * mdstat: Monitor /proc/mdstat.
  * ircbot: Display acknowledgements.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Apr 2009 18:03:02 +0200

hobbit-plugins (20080705) unstable; urgency=low

  [ Peter Eisentraut ]
  * ntpq: Give ntpq some time to initialize, so the test is not red just
    after boot.

  [ Christoph Berg ]
  * apt: Also look for /var/lib/apt/update_success.
  * entropy: Monitor and graph available kernel entropy.
  * ircbot: Show disable time and message when tests are set blue.
  * Remove `bb-check-' prefix from apt und libs plugin binaries.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2008 16:03:53 +0200

hobbit-plugins (20080407) unstable; urgency=low

  [ Christoph Berg ]
  * bb-check-apt: Warn when installed packages have no corresponding apt
    repository.
  * postgres: Use PgCommon.pm to find active clusters for the latest
    PostgreSQL version installed and monitor all. Clusters not named "main"
    will be reported as clustername.domainname.

  [ Peter Eisentraut ]
  * bb-check-apt: Also check /var/lib/apt/periodic/update-stamp for last
    update timestamp, because some file systems don't update
    /var/lib/apt/lists/lock reliably.
  * Corrected spelling of PostgreSQL in package description and postgres.cfg.
  * Hobbit.pm: Added status synopsis to the title line after the date.
  * ntpq: New module for checking the ntpd daemon synchronization status.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2008 13:17:10 +0200

hobbit-plugins (20080308) unstable; urgency=low

  * Hobbit.pm: Perl module for easier scripting.
  * aptdiff: Monitor differences in installed packages in host pools.
  * ipmi: Monitor IPMI sensors and event log.

  * ircbot: Do not announce unchanged status messages.

  * Add README.Debian.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Mar 2008 01:27:48 +0100

hobbit-plugins (20080229) unstable; urgency=low

  * Add IRC bot plugin.

 -- Christoph Berg <myon@debian.org>  Sat, 01 Mar 2008 01:42:17 +0100

hobbit-plugins (20071222) unstable; urgency=low

  * Add postgres plugin (needs splitncv patch, included in hobbit >=
    4.2.0.dfsg-9).

 -- Christoph Berg <myon@debian.org>  Sat, 22 Dec 2007 19:59:17 +0100

hobbit-plugins (20071101) unstable; urgency=low

  * Use hobbit init script to recreate include files.
  * Add conn6 server script.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Nov 2007 21:38:00 +0100

hobbit-plugins (20070908) unstable; urgency=low

  * bb-check-libs: Format output over multiple lines, send clear instead of
    purple when lsof is missing.
  * bb-check-apt: print "apt-get install" for cut-and-paste, also print
    packages on hold.
  * Add Homepage: and Vcs-Hg:.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Sep 2007 00:40:32 +0200

hobbit-plugins (20070823) unstable; urgency=low

  * bb-check-libs: Code restructured, handle lsof not found more nicely.
  * Fix postinst.
  * Section: net.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Aug 2007 16:50:30 +0200

hobbit-plugins (20070819) unstable; urgency=low

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 19 Aug 2007 14:32:59 +0200
